View Issue Details

IDProjectCategoryView StatusLast Update
0011967mantisbtplug-inspublic2014-12-08 00:34
Reportersmig1oAssigned Todhx 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011967: Problems with EVENT_UPDATE_BUG
Description

According to documentation EVENT_UPDATE_BUG is called before any changes will be made to bug data in database.
But..
bug_update.php contains calls bug_set_field() function before event is called. And so bug_resolve() calls bug_set_field().
I instead of bug_set_field data should be changed in local bug data
( $t_bug_data ). A bigger problem will be with bug_resolve() function.

TagsNo tags attached.

Relationships

related to 0011804 closeddhx allow_reporter_reopen lets reporter make any update, not just reopen 
has duplicate 0011980 closeddhx trigger EVENT_BUG_ACTION before saving to DB 
has duplicate 0011710 closeddhx EVENT_BUG_UPDATE fired after bug satus is changes for some statuses (e.g. CLOSED) 
has duplicate 0011419 closeddhx EVENT_UPDATE_BUG in bug_update.php happens after the bug is closed. 
child of 0012097 closedatrol Tracking issue for the refactoring of bug_update.php 
child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036501

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 0b6540cb

2010-06-23 04:05:14

dhx

Details Diff
Fix 0011967: Fix bug update events (both pre and post commit)

The bug update events have been modified to be more useful to plugin
developers.

EVENT_UPDATE_BUG_DATA is a chained event type which allows plugins to
compare the existing and updated bug data objects and make changes to
either of these objects as appropriate. This event can also be used to
invalidate a bug update for not meeting more complex rules.

EVENT_UPDATE_BUG has been modified to execute after the update is
committed to the database and prior to email and other notifications
being sent. Again the original and updated bug data objects are provided
so that plugins can compare the two objects to get a list of fields that
changed during the update.
mod - bug_update.php Diff File
mod - docbook/developers/en/event-reference-bug.sgml Diff File
mod - core/events_inc.php Diff File

Issue History

Date Modified Username Field Change
2010-05-28 13:31 smig1o New Issue
2010-05-29 10:47 dhx Assigned To => dhx
2010-05-29 10:47 dhx Status new => assigned
2010-05-29 10:47 dhx Target Version => 1.2.2
2010-05-29 10:47 dhx Relationship added related to 0011804
2010-06-19 00:57 dhx Relationship added has duplicate 0011980
2010-06-19 00:58 dhx Relationship added child of 0012097
2010-06-19 01:05 dhx Relationship added has duplicate 0011710
2010-06-19 01:06 dhx Relationship added has duplicate 0011419
2010-06-23 00:09 dhx Changeset attached => MantisBT master 0b6540cb
2010-06-23 00:09 dhx Resolution open => fixed
2010-06-23 00:09 dhx Fixed in Version => 1.3.0-beta.1
2010-06-23 00:10 dhx Target Version 1.2.2 => 1.3.0-beta.1
2010-06-23 00:10 dhx Status assigned => resolved
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036501
2013-04-05 18:03 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed